Subject: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100% CPU

From: Chong Yidong <[email-masked]>
Date: Sun, 06 May 2012 12:13:46 +0800

Dov Grobgeld <[email-masked]> writes:

> Here is some more clarification. In keyboard.c:command_loop_1() the
> line i=read_key_sequence() blocks during interactive work until a key
> is pressed. But when the process is stuck in "gdb" read_key_sequence()
> does not block but keeps returning. I still have no clue of what goes
> on though.

Is this still with 24.0.92, or the latest pretest 24.0.96, or the
emacs-24 branch?  I made some changes to the pty handling a few weeks
ago (which should be included in 24.0.96), which may impact this issue.